<?php

require ("vglib.php");

CheckCookie();

?>

<html><head><title>AMODB - Main</title></html>
<link rel=stylesheet href="css/a.css" type="text/css"></head>
<body><center>
<?php

ListNav(); 

?>
<p>
<h1>Astrosorting Music Organization Database<br>(AMODB) v2.0</h1></center>
<p>
<div class="navlinks">Useful Quick Links: <a href="00-readme-starthere.html">Readme</a> |  <a href="http://localhost/phpmyadmin/">phpMyAdmin</a> | <a href="searchandplaylistcommands.php">Search Commands List</a>
<p> 
<a href="01dangerous.php">Dangerous Functions</a>
<p>
</div>
<br>

<div id="maintext"><center>Welcome to the AMODB.  It was written by me - Apollia of <a href="http://astroblahhh.com/" class=ext>Astroblahhh.Com</a>.</center>
<p>
The AMODB is free, public domain, and open source.  You are totally free to use and modify it for any purpose, even commercial purposes, without even asking permission or paying me anything.  Though of course, I joyously welcome purchases of any item or service I have for sale on my <a href="http://astroblahhh.com/" class=ext>website</a> or in <a href="http://secondlife.com/" class=ext>Second Life</a>, or <a href="http://astroblahhh.com/donations.shtml" class=ext>donations</a> and microdonations of literally any size.
<p>
By the way, here's an excellent essay by Richard Stallman on software and freedom: <a href="http://www.gnu.org/philosophy/shouldbefree.html" class=ext>Why Software Should Be Free</a>.
<p>
As for why I'm releasing the AMODB into the public domain, rather than under "copyleft" - even "copyleft" still has too many darn rules for my tastes.  I have a strong aversion to legal documents and how people are forced to waste way too much time on dealing with legal nonsense, and the <a href="http://www.gnu.org/licenses/gpl.html" class=ext>GNU General Public License</a> is too long and boring for me to enjoyably read.
<p>
<br>
Most of the AMODB functions are available in the navigation links above, and the rest are linked to from this page.
<p>
Hopefully the AMODB isn't too hard to figure out.  There's a rather extensive <a href="00-readme-starthere.html">Readme</a> file to help you get started installing the web server software and database, and various security measures.  That's probably the hardest part - I think the AMODB itself is relatively easy to use.
<p>
I'm guessing the most confusing thing about the AMODB is probably the fact that before you can add the musicians, performers, remixers, vocalists, or sources to the details of a song, you first need to add the names of the musician(s), group(s) (bands and other groups of musicians), and source(s) (like what video game or album a song is from) to the database, if they don't already exist.
<p>
You can get by without supplying many such details until later, or never - but, just as a natural consequence of lack of information, your music collection won't be as searchable then, even though you can do pretty well just by doing file name searches and other searches that aren't dependent on data you input by hand.
<p>
Another thing that might be confusing is, you have to separate names of musicians, bands, and source names with commas, and you have to separate names of tags with semicolons.
<p>
<br>
There are a few functions which are too dangerous to the information in your database to have in the main navigation links, which are also not as frequently used.  So, they're on a separate page, linked to below.
<p>
<br>
<center><a href="01dangerous.php" class="arlink">Dangerous Functions</a></center>
<p>
<br>
The two most useful functions in the Dangerous Functions section are probably the Import Folder function (which is a nice, fast way to deposit in your database the file names and file paths of all the songs of a particular file extension, like MP3 or MID, in a folder) and the Custom MySQL query page (with which you can issue any SQL commands you like to the database).
<p>
The logout function is also there, even though it's more annoying than dangerous.
<p>
<br>
I highly recommend making regular backups of your database if you put any info in it you'd like to keep.  One way to do this is the export function of the software <a href="http://localhost/phpmyadmin/">phpMyAdmin</a>.
<p>
The AMODB's own <a href="exportpublicdbform.php" class="arlink">Export Public Database</a> function is <b><i>not</i></b> the way back up all of your data.  I just made that to make it easy to export only the details of the songs which aren't part of my private music collection, so people could easily download the example database containing the details for the songs on my site's <a href="http://astroblahhh.com/music/astrosort/mercury.shtml" class=ext>Astrosorted Music List</a> pages, and quickly be able to experiment with the database's capabilities without having to input a ton of data themselves.
<p>
<br>
I don't expect to soon write anything to make it easy to copy song details from one person's database to another, and take care of all the duplicate musician and source names, and other possible problems.
<p>
I'm not sure it would be that useful anyhow - I would probably never use that function myself, because I am very particular about the music I like, and thus probably wouldn't want to import someone else's entire database (especially if it has details of a lot of music I don't have and can't legally obtain), and I might also have conflicting opinions on how to astrosort something.
<p>
But, since the AMODB is free, public domain and open source, there's nothing stopping anyone from creating additional functions themselves.
<p>
<br>
I hope you find this software useful and entertaining.  Again, I joyously welcome purchases of any item or service I have for sale on my <a href="http://astroblahhh.com/" class=ext>website</a> or in <a href="http://secondlife.com/" class=ext>Second Life</a>, or <a href="http://astroblahhh.com/donations.shtml" class=ext>donations</a> and microdonations of literally any size.

<p>
<br>
<hr width=75%>
<p>

<center>
<?php ListNav(); ?>