<?php

function PlaToNum($inp)
{	switch ($inp)
	{	case "me": return 1;
		case "oo": return 1;
		case "ve": return 2;
		case "ma": return 3;
		case "ju": return 4;
		case "sa": return 5;
		case "ur": return 6;
		case "ne": return 7;
		case "pl": return 8;
		case "er": return 9;
		default: 
			if ( is_numeric($inp) )
			{	if ($inp>10 || $inp<0)
				{	return 0;
				}
				else
				{	return $inp;
				}
			}
	}
}


function array_iunique($array) 
{
	return array_intersect_key($array,array_unique(array_map(strtolower,$array)));
}

function lowercase(&$value)
{	$value=strtolower($value);
}

function trim_value(&$value) 
{
	$value = trim($value); 
}

function uppercase(&$value)
{	$value=strtoupper($value);
}


function MakeArrayIntoFormattedNameString($inp, $option)
{
	if (!$inp[0])
	{	$result=null;
	}
	else	
	{	
		if ($option==1)
		{	$result=implode("', '", $inp);
			$result="'" . $result . "'";
		}
		else
		{	$result=implode(", ",$inp);
		}
	}
	return $result;
}

function MakeStringIntoArray($inp, $option)
{		//Almost just like FormatNameString, except
		//it returns an array instead of a string.
	if ($option==1 || $option=="split at commas")
	{
		$result=explode(",",$inp);
	}
	else if ($option=="split at spaces")
	{	$result=explode(" ",$inp);
	}
	else if ($option=="split at semicolons")
	{	$result=explode(";",$inp);
	}

	array_walk($result, 'trim_value');
	
	$result=array_iunique($result);
	$result=ArrRemoveEmptyValues($result);
	
	//This bit here is just to make the array continuous instead
	//of having gaps:
	$result=array_merge($result);

	return $result;
}

function ArrRemoveEmptyValues($array)
{
	foreach($array as $key => $value)
	{
		if($value == "" || $value == " " || is_null($value)) 
		{
			unset($array[$key]);
		}
	}
	$array = array_values($array);
	return $array;
}

function MakeQueryFromNameString($inp, $option)
{
	if ($option==1)
	{
		$query_to_issue="SELECT entity_id, spelling_id FROM vgNames WHERE name in ($inp) OR abbrev in ($inp)";
	}
	else
	{	$query_to_issue="SELECT entity_id, spelling_id FROM vgNames WHERE spelling_id in ($inp) OR abbrev in ($inp)";
	};

	return $query_to_issue;
}

function GoBackToForm()
{	global $song_id;

	if ($song_id) 
	{	header("Location: editsongform.php?id=$_POST[song_id]");
		exit;
	}
	header("Location: editsongform.php");
	exit;
}

?>